# SNESGetNonlinearStepFailures

Gets the number of unsuccessful steps attempted by the nonlinear solver.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode PETSCSNES_DLLEXPORT SNESGetNonlinearStepFailures(SNES snes,PetscInt* nfails)

Not Collective

### Input Parameter

snes -SNES context

### Output Parameter

nfails -number of unsuccessful steps attempted

### Notes

This counter is reset to zero for each successive call to SNESSolve().

### Keywords

SNES, nonlinear, get, number, unsuccessful, steps

Level:intermediate
Location: src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex27.c.html
src/snes/examples/tutorials/ex29.c.html